/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoParada;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoParada implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoParada tipoParada = (TipoParada) o;

        Listcell lc = new Listcell(tipoParada.getTipoparadaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoParada.getDesctipo());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoParada);
    }
}
